"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidPathError = exports.BinaryFileNotFoundError = exports.FileNotFoundError = void 0;
class FileNotFoundError extends Error {
    constructor(filePath) {
        super(`File not found: ${filePath}`);
        this.filePath = filePath;
    }
}
exports.FileNotFoundError = FileNotFoundError;
class BinaryFileNotFoundError extends FileNotFoundError {
}
exports.BinaryFileNotFoundError = BinaryFileNotFoundError;
class InvalidPathError extends Error {
    constructor(filePath) {
        super(`Invalid path detected: ${filePath}`);
        this.filePath = filePath;
    }
}
exports.InvalidPathError = InvalidPathError;
//# sourceMappingURL=errors.js.map